# -*- coding: utf-8 -*-

import sys
if not "tinypy" in sys.version:
    from extra import *

import base_building

class DamBuilding(base_building.BaseBuilding):
    def __init__(self, cdata):
        base_building.BaseBuilding.__init__(self, cdata)
        self.SetIsHome(False)
        self.hack_for_upgrade = True
        #EMgr.add_event_listener(self)
# ============================================================
    # @override
    #def dispose(self):
    #    EMgr.remove_event_listener(self)
# ============================================================
    #@override
    def on_state_change(self, cur_state, next_state):
        base_building.BaseBuilding.on_state_change(self, cur_state, next_state)
        if cur_state != next_state:
            if next_state == 'upgrade':       # затычка для особого поведения верфи, там анимация должна проигрываться
                self.Drawer.RestartEffect('build')
# ============================================================
    #@override
    def on_building_upgrade(self):
        base_building.BaseBuilding.on_building_upgrade(self)
        self.is_deactivated = self.GetAttrBool('deactivated')
# ============================================================
    #@override
    def _switch_animation_extra(self, place):
        if place == 'upgrade':
            self.Drawer.ShowImages('build')     # для дамбы
            self.Drawer.SetProgressedAnimation('build')
# #######################################################
# #######################################################
# #######################################################
