# -*- coding: utf-8 -*-

import sys
if not "tinypy" in sys.version:
    from extra import *

import dialog


class GameMenuDlg(dialog.Dialog):
# ============================================================
    def __init__(self, cdata, params={}):
        dialog.Dialog.__init__(self, cdata, params)
        self.size = 'big'
        # если нужно, то доп. параметры можно вытащить из params
# ============================================================
    def on_signal(self, signal):
        pass
# ============================================================
    def on_state_machine(self, type, state_name, additional):
        if type == "enter":
            pass
        elif type == "exit":
            pass
        elif type == "change":
            self.on_state_change(additional.prev_state, additional.next_state)
        pass
# ============================================================
    def on_state_change(self, cur_state, next_state):
        pass
# ============================================================
    def on_dlg_command(self, tag, command):
        pass
# ============================================================
    def on_command(self, name, command, param):
        if command == 'keycode':
            if param == 'escape':
                DLG.PauseGame(False)
                DLG.Close_dialog(self)
# ============================================================
    def on_create(self):
        #tools.SetGraphicCursor(False)
        tools.PlaySound('SND_WINDOW_WOOD')
        DLG.PauseGame(True)
        pass
# ============================================================
    def on_button(self, id):
        if id == 'idContinueBtn':
            DLG.PauseGame(False)
            DLG.Close_dialog(self)
            DLG.SetFocusLB()    # на всякий случай
        elif id == 'idReplayBtn':
            DLG.Open_dialog('SureReplayMenu', 'dlg_asking', {'tag':'replay',
                                                                'caller_dlg_name':self.xml_name})
        elif id == 'idToBookBtn':
            DLG.Open_dialog('SureGoMainMenu', 'dlg_asking', {'tag':'go_main',
                                                                'caller_dlg_name':self.xml_name})
        elif id == 'idOptionsBtn':
            DLG.Open_dialog('OptionsMenu', 'dlg_options')
        elif id == 'idExitBtn':
            DLG.Open_dialog('SureFromGameExit', 'dlg_asking', {'tag':'exit_to_main', 'caller_dlg_name':self.xml_name})
        elif id == 'idPromo':
            DLG.SendMsg('more_games')
        elif id == 'idSubsribe':
            DLG.SendMsg('subsribe')
        elif id == 'idBuy':
            DLG.Open_dialog('UpgradeMenu','dlg_upgrade')
#DLG.Open_dialog('ExitMenu', 'dlg_exit')
        #DLG.PauseGame(False)

# ============================================================
    def on_yesno_result(self, tag, result):
        if tag == 'replay':
            if result == 'yes':
                stats = self.GetFullStats()
                DLG.StopGame()
                DLG.Open_dialog('LoadLevelMenu', 'dlg_loadlevel', {'episode':stats.episode_index, 'level':stats.level_index})
                DLG.Close_dialog(self)
                #@? DLG.clear_awaitinig_dialogs()
                DLG.clear_awaitinig_dialogs()
        elif tag == 'exit_to_main':
            if result == 'yes':
                self.ApplyLevelStat(False)
                DLG.StopGame()
                DLG.Open_dialog('MainMenu', 'dlg_main')
                DLG.Close_dialog(self)
        elif tag == 'go_main':
            if result == 'yes':
                self.ApplyLevelStat(False)
                DLG.StopGame()
                DLG.Open_dialog('BookMenu', 'dlg_book')
                DLG.Close_dialog(self)
# ============================================================
    def on_update(self, ms):
        pass
# ============================================================
# ============================================================
# ============================================================
# ============================================================
