# -*- coding: utf-8 -*-

import sys
if not "tinypy" in sys.version:
    from extra import *

import base_building

class HouseBuilding(base_building.BaseBuilding):
# ============================================================
    def __init__(self, cdata):
        base_building.BaseBuilding.__init__(self, cdata)
# ============================================================
    #@override
    def _get_tips_extra(self, place, result, by_click):
        if place == 'after_name':
            if self.status == 'normal':
                if self.SM.GetCurrentState() in ["", "normal"]:
                    _units_in = len(self._building_units)
                    if self.is_deactivated: # случай выжившего здания?
                        _units_in = self.GetAttrInt('start_units')
                    _none_units = self.max_units_count - _units_in
                    if _none_units < 0: _none_units = 0
                    result.append( 'newline' )
                    result.append( 'newline' )
                    for i in range(_units_in):
                        result.append( ('text', 'TIP_WORKER_INSIDE') )
                    for i in range(_none_units):
                        result.append( ('text', 'TIP_WORKER_NONE') )
        elif place == 'right_before_upgrade_cost':
            if self.status == 'normal':
                result.append( 'newline' )
        return True
# ============================================================
    def on_repair_complete(self, building_info):
        base_building.BaseBuilding.on_repair_complete(self, building_info)
        _need_help = LBoard.Core.is_help_needed(3)
        if _need_help:
            Camera.MoveTo(self)
            UI.open_help(True)
# #######################################################
# #######################################################
# #######################################################
    def is_home(self):  # is home for units
        if self.status == "normal": # or self.status == "upgrade": - при апгрейде status остается прежним
            return 1        # default, need to override for camp, etc...
        else:
            return 0
# ============================================================