# -*- coding: utf-8 -*-

import sys
if not "tinypy" in sys.version:
    from extra import *

import base_building

class SmokeryBuilding(base_building.BaseBuilding):
    def __init__(self, cdata):
        base_building.BaseBuilding.__init__(self, cdata)
        self.to_building_subtype = "__store__"
        self.SetIsHome(False)
# ============================================================
    def need_base_resource(self):
        return True
# ============================================================
    def on_res_gen_started(self):
        self.PlaySound('SND_SMOKERY_WORK')
        self.Drawer.SetAnimationEvent('unit', 70, 'unit_smokery')
# ============================================================
    def on_message(self, msg_type, msg_param1, msg_param2, msg_dict):
        if msg_type == 'unit_smokery':
            self.PlaySound('SND_SMOKERY_SMOKER')
# ============================================================
    def on_minimal_effectiveness(self):
        EMgr.AppendLetter([('text','LETTER_EFFECTIVENESS_10')], self.get('uid'))
        UI.show_top_text('MSG_EFFECTIVENESS_SMOKERY', self.get('uid'))
# ============================================================