# -*- coding: utf-8 -*-

import sys
if not "tinypy" in sys.version:
    from extra import *

import base_diff_item
import task_classes


# ============================================================
class Lama(base_diff_item.DiffItem):
    '''Лама'''
    def __init__(self, cdata):
        base_diff_item.DiffItem.__init__(self, cdata)
        self.is_anim_up = False
# ============================================================
    def on_create(self):
        self.Drawer.ShowImages(['default', 'shadow'], True)
        self.Drawer.StopAnimation('default', 0)
        self.Drawer.StopAnimation('anim_up', 0)
        self.Drawer.PlayAnimationOnce('default', 'default_anim_complete')
# ============================================================
    def on_message(self, msg_type, msg_param1, msg_param2, msg_dict):
        if msg_type == 'default_anim_complete':
            self.Drawer.StopAnimation('default', 0)
            self.Drawer.StopAnimation('anim_up', 0)
            _rnd = tools.random()
            if _rnd < 0.1:
                self.Drawer.ShowImages('default', False)
                self.Drawer.ShowImages('anim_up', True)
                self.Drawer.PlayAnimationOnce('anim_up', 'up_anim_complete')
                self.is_anim_up = True
            else:
                self.Drawer.ShowImages('default', True)
                self.Drawer.ShowImages('anim_up', False)
                self.Drawer.PlayAnimationOnce('default', 'default_anim_complete')
                self.is_anim_up = False
        elif msg_type == 'up_anim_complete':
            self.Drawer.ShowImages('default', True)
            self.Drawer.ShowImages('anim_up', False)
            self.is_anim_up = False
            self.Drawer.StopAnimation('default', 0)
            self.Drawer.StopAnimation('anim_up', 0)
            self.Drawer.PlayAnimationOnce('default', 'default_anim_complete')
# ============================================================
    def switch_animation(self):
        return
        #self.Drawer.ShowImages('', False)
        #self.Drawer.ShowImages('shadow')
        #if self.is_anim_up:
        #    self.Drawer.ShowImages('default', True)
        #    self.Drawer.ShowImages('anim_up', False)
        #else:
        #    self.Drawer.ShowImages('default', True)
        #    self.Drawer.ShowImages('anim_up', False)
# ============================================================