# -*- coding: utf-8 -*-

from extra.drawer import *
from extra.sm import *
from extra.signals import *
from extra.cell import *
from extra.point import *
from extra.rect import *

class CoreItem(object):
    '''CoreItem и BaseElement в одном лице'''
    Drawer = Drawer_class(None)
    SM = SM_class(None)
    Signals = Signals_class(None)

    def __init__(self, cdata):
        pass

    def get(self, field):
        if field == 'type':
            return ""
        elif field == 'subtype':
            return ""
        elif field == 'name':
            return ""
        elif field == 'template_name':
            return ""
        elif field == 'uid':
            return ""
        elif field == 'cell':
            return NCell()
        elif field == 'position':
            return NPoint()
        elif field == 'variant_name':
            return ""
        else:
            return ""

    def set(self, filed, param):
        if field == "cell":
            a = NCell()
            a = param

    def SendMsg(self, msg_id, msg_param1 = "", msg_param2 = "", params = {}):
        pass

    def IsTypeOf( self, types, subtype = ""):
        '''
        types: может быть строкой, а может быть списком типов
        subtype: может указываться, если первый параметр - строка
        '''
        return True

    def IsSubTypeOf( self, subtypes ):
        '''
        subtypes: может быть строкой, а может быть списком подтипов
        '''
        return True

    def FixAddCell( self, center, add ):
        return NCell()

    def CellsDistance( self, first_cell, second_cell ):
        return 0

    def SetMouseActive( self, active ):
        pass

    def IsInWindow( self ):
        return True

# ============================================================
# === Далее идут методы CoreItem c++ ==============================
# ============================================================

    def HasAttr(self, name):
        return True

    def HasAccess(self):
        return True

    def GetAttrStr(self, name):
        return ""

    def GetAttrInt(self, name):
        return 0

    def GetAttrBool(self, name):
        return False

    def GetAttrCell(self, name):
        return NCell()

    def GetAttrCellFixed(self, name):
        '''Returns global position of cell (fixed_sum(cell_value + self_pos))'''
        return NCell()

    def GetAttrPoint(self, name):
        return NPoint()

    def GetAttrRect(self, name):
        return NRect()

    def AddFogCircle(self):
        pass

    def BuildRoad(self, skip_fog):
        pass

    def GetRes(first, second):
        res_name = ""
        variant_name = ""
        if len(second) == 0:
            res_name = first
        else:
            variant_name = first
            res_name = second
        return NRes()

    def GetSingleResName(self, res_name):
        return ""

    def HasVariant(self, var_name):
        return True

    def SwitchVariant(self, var_name):
        pass

    def IsPlaceFreeFor(self, cell, template_name, check_even_in_fog = True):
        return False;

# ============================================================

