# -*- coding: utf-8 -*-

class Drawer_class(object):
    '''Drawer связанный с C++'''
    def __init__(self, cdata):
        pass

    def ShowImages(group_name, show = True):
        '''Показывает/скрывает групп(ы) изображений/эффектов
        group_name: название группы или список названий
        show: показать или скрыть
        '''
        pass

    def SetImagesAlpha(group_name, alpha):
        '''Указывает альфу для объекта
        group_name: название группы изображений/эффектов
        alpha: Альфа [0..1000]'''
        pass

    def SetImagesScale(group_name, scale):
        '''Указывает скейл для объекта
        group_name: название группы изображений/эффектов
        scale: Скейл [0..1000]'''
        pass

    def SetSequence(group_name, sequence_id):
        pass

    def SetFramesProgress( group_name, progress ):
        '''Выставляем прогресс анимации. Не забыть включить анимацию в шаблоне, resources.xml и SetProgressedAnimation!
        group_name: название группы изображений
        progress: прогресс анимации [0..1]'''
        pass

    def SetProgressedAnimation( group_name ):
        '''Выставляем прогресс анимации. Не забыть включить анимацию в шаблоне и resources.xml!'''
        pass

    def SetAnimBoost(group_name, boost):
        '''Буст для анимации.
        group_name: название группы изображений
        boost: коэффициент буста [0..1000]'''
        pass

    def SetFrame( group_name, frame ):
        pass

    def Hide( hide ):
        '''Скрывает объект полностью'''
        pass

    def PlayAnimationOnce( group_id, complete_msg, complete_param = "" ):
        pass

    def StopAnimation( group_id, time_percent ):
        '''Останавливает одноразовую анимацию на указанном проценте: time - [0..100]'''
        pass

    def HighlightImages( group_name, highlight = True ):
        '''Подсвечивает групп(ы) изображений/эффектов
        group_name: название группы или список названий
        highlight: подсветить или нет
        '''
        pass

    def Blink(group_name, count):
        pass

    def SetTreeMode(group_name, shear_r):
        pass

    def RestartEffect(group_name):
        pass

    def SetShaded(group_name, is_shaded):
        pass

    def Blink(group_name, blink_count):
        pass

    def ShowIn(group_name, time = 250):
        pass

    def ShowOut(group_name, time = 250):
        pass

    def ScaleIn(group_name, time = 1000, ease_func = 'elastic'):
        pass

    def ResIn(group_name, time = 1000, ease_func = 'elastic'):
        pass

    def ScaleBump(group_name, time = 500, ease_func = 'linear'):
        pass

    def IsPatiallyInFog():
        return False


