# -*- coding: utf-8 -*-

import sys
if not "tinypy" in sys.version:
    from extra import *


# ДАННЫЙ ФАЙЛ ПОКА НЕ ИСПОЛЬЗУЕТСЯ

class QuestTask(object):
    def __init__(self, type, image, params):
        self.type = type
        self.image = image
        self.params = params


class Quest(object):
    def __init__(self, name, data_dict):
        self.uid = -1
        self.is_complete = False
        self.is_started = False
        self.is_tutorial = data_dict.is_tutorial
        self.quest_tasks = []
        for i in range(1,3):
            task_action = "task"+str(i)+"_action"
            if task_action in data_dict and data_dict[task_action]:
                if data_dict[task_action] != "__none__":
                    task_image = "task"+str(i)+"_image"
                    task_params = "task"+str(i)+"_params"
                    qt = QuestTask(data_dict[task_action], data_dict[task_image], data_dict[task_params])
                    self.quest_tasks.append(qt)
        #self.type = "__none__"
        self.name = name
        self.params = data_dict

    def on_update(self):
        pass

    #def is_start_possible(self):
    #    '''Проверяет выполнимость стартовых условий'''
    #    pass

    def start(self):
        '''Запускает квест, генерирует необходимые задания (таски),
        активирует все, что нужно и т.д.'''
        pass

    def add_game_tasks(self):
        '''Когда NPC (или кто-то еще) дал задание - он вызывает данный метод и
        игроку даются игровые задания'''
        pass

    def autostart(self, sender):
        '''Используется для автоматического запуска туториальных квестов (учитывая, что
        они по порядку должны следовать'''
        pass

    def __str__(self):
        extra = to_str("quest: ", self.uid, "is_complete", self.is_complete, "is_started", self.is_started, "is_tut", self.is_tutorial)
        return to_str("{", extra, "}", str(self))
# #######################################################
# #######################################################
# #######################################################
# #######################################################
# #######################################################
